mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class, Inherited=true) System.Runtime.InteropServices.ComVisible(true)

You can apply this attribute to classes.

You apply this attribute to a managed class to identify the event interfaces that the class exposes as COM connection points. An event interface contains methods that map to the event members of the class. The class event name and the interface method name must be the same. This attribute can accommodate up to four source interfaces for a class by passing the type of the source interface to the appropriate constructor, which take between one and four type arguments. For classes that want to expose more than four source interfaces, the string version of the constructor can be used. For additional information about exposing.NET events to COM clients, see [<topic://cpconraisingeventshandledbycomsink>].

Identifies a list of interfaces that are exposed as COM event sources for the attributed class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to expose more than four event source interfaces to COM clients.

  Initializes a new instance of the class with the name of the event source interface.

  A null-delimited list of fully qualified event source interface names.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to expose a single event source interface to COM clients.

  Initializes a new instance of the class with the type to use as a source interface.

  The of the source interface.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to expose two event source interfaces to COM clients.

  Initializes a new instance of the class with the types to use as source interfaces.

  The of the default source interface.
  The of a source interface.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to expose three event source interfaces to COM clients.

  Initializes a new instance of the ComSourceInterfacesAttribute class with the types to use as source interfaces.

  The of the default source interface.
  The of a source interface.
  The of a source interface.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor to expose four event source interfaces to COM clients.

  Initializes a new instance of the class with the types to use as source interfaces.

  The of the default source interface.
  The of a source interface.
  The of a source interface.
  The of a source interface.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  If you specify more than one source interface, the value returned is a null-delimited list of fully qualified event source interface names.

  Gets the fully qualified name of the event source interface.